Page MenuHomePhabricator

Fatal MWException on Special:ExternalGuidance
Closed, ResolvedPublicPRODUCTION ERROR

Description

trace
MWException: MediaWiki\Extension\ExternalGuidance\SpecialExternalGuidance::mtContextGuidance: One of the mandatory parameters missing

Backtrace:

#0 /srv/mediawiki/php-1.33-wmf-17/extensions/ExternalGuidance/specials/SpecialExternalGuidance.php(42): MediaWiki\Extension\ExternalGuidance\SpecialExternalGuidance->mtContextGuidance(WebRequest, OutputPage)
#1 /srv/mediawiki/php-1.33-wmf-17/includes/specialpage/SpecialPage.php(569): MediaWiki\Extension\ExternalGuidance\SpecialExternalGuidance->execute(NULL)
#2 /srv/mediawiki/php-1.33-wmf-17/includes/specialpage/SpecialPageFactory.php(558): SpecialPage->run(NULL)
#3 /srv/mediawiki/php-1.33-wmf-17/includes/MediaWiki.php(288): MediaWiki\Special\SpecialPageFactory->executePath(Title, RequestContext)
#4 /srv/mediawiki/php-1.33-wmf-17/includes/MediaWiki.php(867): MediaWiki->performRequest()
#5 /srv/mediawiki/php-1.33-wmf-17/includes/MediaWiki.php(517): MediaWiki->main()
#6 /srv/mediawiki/php-1.33-wmf-17/index.php(42): MediaWiki->run()

Impact

This is a fatal application error exposed on an unauthenticated GET request (e.g. regular link navigation). This can increase error levels for the backend in MediaWiki, as well as in the frontend in our HTTP-level service monitoring given these errors produced uncacheable HTTP code 500 responses.

Event Timeline

Krinkle created this task.Feb 15 2019, 6:27 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 15 2019, 6:27 PM

Change 491220 had a related patch set uploaded (by Santhosh; owner: Santhosh):
[mediawiki/extensions/ExternalGuidance@master] Do not list SpecialExternalGuidance in Special:SpecialPages

https://gerrit.wikimedia.org/r/491220

santhosh claimed this task.Feb 18 2019, 9:23 AM
santhosh moved this task from Backlog to In Progress on the ExternalGuidance board.

Change 491220 merged by jenkins-bot:
[mediawiki/extensions/ExternalGuidance@master] Do not list SpecialExternalGuidance in Special:SpecialPages

https://gerrit.wikimedia.org/r/491220

santhosh moved this task from In Progress to Done on the ExternalGuidance board.Feb 25 2019, 6:27 AM

Not sure what I can verify here. When I access the above url I get an error displayed but I'm not sure if things were improved on how this error is dealt internally:

Krinkle added a comment.EditedFeb 25 2019, 4:07 PM

The patch made it so that search-engine crawlers and curious users are less likely to reach this url. But the problem itself has not been fixed yet.

We might need to display a friendly message when users access this special page without any contextual parameters(Since we don't list this page anywhere, this is less likely, still...)

@Pginer-WMF If you can provide some input on what to display, I can use it.

santhosh moved this task from Done to Backlog on the ExternalGuidance board.Mar 13 2019, 8:29 AM

Instead of providing a form you could print an error message when no parameter is set. See https://en.wikipedia.org/wiki/Special:MovePage for an example

Change 497224 had a related patch set uploaded (by Santhosh; owner: Santhosh):
[mediawiki/extensions/ExternalGuidance@master] Special:ExternalGuidance: Show friendly error message instead of MWException

https://gerrit.wikimedia.org/r/497224

santhosh moved this task from Backlog to In Review on the ExternalGuidance board.Mar 18 2019, 4:54 AM

Change 497224 merged by jenkins-bot:
[mediawiki/extensions/ExternalGuidance@master] Special:ExternalGuidance: Show friendly error message instead of MWException

https://gerrit.wikimedia.org/r/497224

Krinkle closed this task as Resolved.Mar 19 2019, 8:10 PM
Krinkle removed a project: Patch-For-Review.
KartikMistry moved this task from In Review to Done on the ExternalGuidance board.Mar 23 2019, 8:15 AM
mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:07 PM